<?php

namespace Drupal\entity_reference_hierarchy\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Plugin\Field\FieldFormatter\EntityReferenceEntityFormatter;
use Drupal\Core\Form\FormStateInterface;

/**
 * Plugin implementation of the 'entity reference revisions rendered entity' formatter.
 *
 * @FieldFormatter(
 *   id = "entity_reference_hierarchy_entity_view",
 *   label = @Translation("Rendered entity (with hierarchy)"),
 *   description = @Translation("Display referenced entities rendered by entity_view() in hierarchical tree."),
 *   field_types = {
 *     "entity_reference_hierarchy"
 *   }
 * )
 */
class EntityReferenceHierarchyEntityFormatter extends EntityReferenceEntityFormatter {

  use EntityReferenceHierarchyFormatterTrait;

}
