<?php

namespace Drupal\entity_reference_hierarchy_revisions\Plugin\Field\FieldFormatter;

use Drupal\entity_reference_hierarchy\Plugin\Field\FieldFormatter\EntityReferenceHierarchyFormatterTrait;
use Drupal\entity_reference_revisions\Plugin\Field\FieldFormatter\EntityReferenceRevisionsEntityFormatter;

/**
 * Plugin implementation of the 'entity reference rendered entity' formatter.
 *
 * @FieldFormatter(
 *   id = "entity_reference_hierarchy_revisions_entity_view",
 *   label = @Translation("Nested Rendered entity"),
 *   description = @Translation("Display the referenced entities rendered by entity_view() with hierarchy."),
 *   field_types = {
 *     "entity_reference_hierarchy_revisions"
 *   }
 * )
 */
class EntityReferenceHierarchyRevisionsEntityFormatter extends EntityReferenceRevisionsEntityFormatter {

  use EntityReferenceHierarchyFormatterTrait;

}
